Email, calendar & files · Email

Get an email message

Fetches an email message.

GEThttps://api.pozy.ai/v1/email/messages/{messageId}
getEmailMessage

Guides: Email, Email, calendar & files, Google Workspace

Request

Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the messages resource group disabled get 403 resource_group_disabled. Authentication

Path parameters

NameTypeNotes
messageIdrequiredstring

Query parameters

NameTypeNotes
accountIdrequiredstring
includeHeadersbooleanDefault false
rawbooleanDefault false

Example

curl -X GET "https://api.pozy.ai/v1/email/messages/62d191e7089bc48b8ea56b35?accountId=696e0b682d0a31188e7a2ba9" \
  -H "Authorization: Bearer $POZY_API_KEY"

Response

200 on success

  • dataobject
    21 child fields
    • idstring
    • threadIdstring
    • accountIdstring
    • providerstring

      One of google, microsoft.

    • foldersarray of string
    • fromobject

      One of:

      Email Address (2 fields)
      • emailstring (email)required
      • namestring

        Can be null.

    • toarray of object
      2 child fields
      • emailstring (email)required
      • namestring

        Can be null.

    • ccarray of object
      2 child fields
      • emailstring (email)required
      • namestring

        Can be null.

    • bccarray of object
      2 child fields
      • emailstring (email)required
      • namestring

        Can be null.

    • replyToarray of object
      2 child fields
      • emailstring (email)required
      • namestring

        Can be null.

    • subjectstring
    • snippetstring
    • textstring

      Can be null.

    • htmlstring

      Can be null.

    • attachmentsarray of object
      6 child fields
      • idstring
      • filenamestring
      • contentTypestring
      • sizeinteger
      • isInlineboolean
      • contentIdstring

        Can be null.

    • headersmap of string
    • rawstring
    • datestring (date-time)
    • unreadboolean
    • starredboolean
    • metadatamap of string
200 response
{
  "data": {
    "id": "6bfebd43ddc270f6d2c56fc5",
    "threadId": "60186572e25ff711298bf12e",
    "accountId": "696e0b682d0a31188e7a2ba9",
    "provider": "google",
    "folders": [
      "string"
    ],
    "from": {
      "email": "alex@example.com",
      "name": "Acme"
    },
    "to": [
      {
        "email": "alex@example.com",
        "name": "Acme"
      }
    ],
    "cc": [
      {
        "email": "alex@example.com",
        "name": "Acme"
      }
    ],
    "bcc": [
      {
        "email": "alex@example.com",
        "name": "Acme"
      }
    ],
    "replyTo": [
      {
        "email": "alex@example.com",
        "name": "Acme"
      }
    ],
    "subject": "string",
    "snippet": "string",
    "text": "Hello from Pozy",
    "html": "string",
    "attachments": [
      {
        "id": "6bfebd43ddc270f6d2c56fc5",
        "filename": "photo.jpg",
        "contentType": "image/jpeg",
        "size": 482133,
        "isInline": true,
        "contentId": "6e56e1ad0e43e2da5ef935a5"
      }
    ],
    "headers": {
      "key": "string"
    },
    "raw": "string",
    "date": "2026-10-02T09:00:00.000Z",
    "unread": true,
    "starred": true,
    "metadata": {
      "key": "string"
    }
  }
}

Errors

Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:

400invalid_request_errorA parameter or body field is missing or invalid. param names it.
401authentication_errorThe API key is missing, revoked or expired.
403permission_errorThe key is scoped to other profiles or has this resource group disabled.
404not_foundNothing with that id exists in your workspace.
429rate_limit_errorToo many requests this minute. Wait for Retry-After seconds.

Every code is listed in Errors.

More in Email